<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class extends renders OSB menu tree.
 *
 * @package    lnApp
 * @subpackage Tree
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Tree extends lnApp_Controller_Tree {
	protected $auth_required = TRUE;

	/**
	 * Draw the Tree Menu
	 *
	 * The incoming ID is either a Branch B_x or a Node N_x
	 * Where X is actually the module.
	 *
	 * @param id
	 */
	public function action_json(array $data=array()) {
		// @todo Our menu options
		array_push($data,array(
			'id'=>'domain',
			'name'=>'Domain Info',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('domain'),
		));

		array_push($data,array(
			'id'=>'db',
			'name'=>'DB Info',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('db'),
		));

		array_push($data,array(
			'id'=>'library',
			'name'=>'Library Info',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('library'),
		));

		array_push($data,array(
			'id'=>'node',
			'name'=>'Node Info',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('node'),
		));

		array_push($data,array(
			'id'=>'activity',
			'name'=>'Server Activity Gantt',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('server/gantt'),
		));

		array_push($data,array(
			'id'=>'stgpool',
			'name'=>'Storage Pool Info',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('stgpool'),
		));

		array_push($data,array(
			'id'=>'volume',
			'name'=>'Volume Info',
			'state'=>'none',
			'attr_id'=>'1',
			'attr_href'=>URL::Site('volume'),
		));

		return parent::action_json($data);
	}
}
?>
